QGIS Application - Bug report #13809
[Mint, Cinnamon DE] Properties dialog for layers panel is not a floating window
2015-11-11 04:59 PM - Mike Murfin

Status: Closed

Priority: Normal

Assignee:

Category: GUI

Affected QGIS version:2.12.0 Regression?: No

Operating System: Linux Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed/implemented
Crashes QGIS or corrupls data: Copied to github as #: 21834
Description

Open the properties window for a layer in the layers panel.
The dialog opens, but the main application behind the window is greyed out, and the 'properties' window cannot be re-positioned
independently of the main application.

(This obscures the main application so that you can't use the apply button effectively, and renders features such as the color picker (in the
'styles' menu) unusable).

History

#1 - 2015-11-13 09:14 AM - Giovanni Manghi
- Status changed from Open to Feedback
- Category changed from Browser to GUI

| don't have an installation at hand, have you tested other DE?

#2 - 2015-12-26 06:56 AM - Giovanni Manghi
- Status changed from Feedback to Open
- Subject changed from Properties dialog for layers panel is not a floating window to [Mint, Cinnamon DE] Properties dialog for layers panel is not a

floating window
#3 - 2016-01-02 01:50 PM - Nyall Dawson

- Resolution set to fixed/implemented
- Status changed from Open to Closed

This is an issue with Cinnamon, not QGIS. We use modal dialogs like the layer properties window where appropriate. The issue is that Cinnamon doesn't
handle modal dialogs well, but that's something we can't fix in QGIS.

#4 - 2016-01-05 12:40 PM - Sebastian Dietrich

| don't use Linux but this thread seems to offer a solution.
http://askubuntu.com/questions/109321/popup-dialogs-attached-to-window-title-and-not-movable-how-to-detach-modal-dial

